Bug 229444 - emulators/openmsx: Update to 0.15.0
Summary: emulators/openmsx: Update to 0.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/openMSX/openMSX/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-01 05:18 UTC by Ryo ONODERA
Modified: 2019-06-29 16:12 UTC (History)
1 user (show)

See Also:
kai: maintainer-feedback-


Attachments
Update to 0.14.0 of emulators/openmsx (970 bytes, patch)
2018-07-01 05:18 UTC, Ryo ONODERA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryo ONODERA 2018-07-01 05:18:50 UTC
Created attachment 194807 [details]
Update to 0.14.0 of emulators/openmsx

Please update emulators/openmsx to 0.14.0.
This works under FreeBSD/amd64 11.2-RC3.
Comment 1 Kai Knoblich freebsd_committer 2019-06-23 09:25:41 UTC
Taking this PR due maintainer timeout.
Comment 2 commit-hook freebsd_committer 2019-06-29 16:10:21 UTC
A commit references this bug:

Author: kai
Date: Sat Jun 29 16:10:05 UTC 2019
New revision: 505358
URL: https://svnweb.freebsd.org/changeset/ports/505358

Log:
  emulators/openmsx: Update to 0.15.0

  While I'm here:
  * Fix build with DOCS option set to off: The files were installed to a dummy
    location outside of the stagedir as there's no parameter to disable the
    installation of such files.

    Nevertheless those files were recorded for packaging which led to issues
    during stage-qa. Thus do another approach by just removing those files
    when the DOCS option is disabled.

  * Add "gl" to USES as using USE_GL alone is deprecated.
  * Update WWW field to avoid redirects.
  * Pet portclippy.

  Changelog:

  https://github.com/openMSX/openMSX/releases/tag/RELEASE_0_15_0

  PR:		229444
  Submitted by:	Ryo ONODERA <ryo@tetera.org> (initial patch for 0.14.0)
  Approved by:	johans (maintainer timeout)

Changes:
  head/emulators/openmsx/Makefile
  head/emulators/openmsx/distinfo
  head/emulators/openmsx/pkg-descr
Comment 3 Kai Knoblich freebsd_committer 2019-06-29 16:12:37 UTC
Committed, thank you for your patch!